<div class="container p-0" {{did-insert this.onUpdate}} {{did-update this.onUpdate @value}} ...attributes>
  <div class="container p-0">
    <div class="row">
      <div class="col">
        <h3>{{capitalize (t "points")}}</h3>
      </div>
    </div>

    <div class="row">
      <div class="col col-4 col-site">
        <h4>{{capitalize (t "marker")}}</h4>
        <Input::IconStyle @value={{this.tmpValue.site}} @onChange={{fn this.updateStyle "site"}}/>
      </div>

      <div class="col col-4 col-site">
        <h4>{{capitalize (t "label")}}</h4>
        <Input::IconStyle @value={{this.tmpValue.siteLabel}} @onChange={{fn this.updateStyle "siteLabel"}}/>
      </div>
      <div class="col"></div>
    </div>

    <div class="row">
      <div class="col">
        <h3>{{capitalize (t "lines")}}</h3>
      </div>
    </div>

    <div class="row">
      <div class="col-4 col-line-marker">
        <h4>{{capitalize (t "marker")}}</h4>
        <Input::IconStyle @value={{this.tmpValue.lineMarker}} @onChange={{fn this.updateStyle "lineMarker"}}/>
      </div>

      <div class="col-4 col-line">
        <h4>{{capitalize (t "line")}}</h4>
        <Input::IconStyle @value={{this.tmpValue.line}} @onChange={{fn this.updateStyle "line"}}/>
      </div>

      <div class="col col-4 col-line-label">
        <h4>{{capitalize (t "label")}}</h4>
        <Input::IconStyle @value={{this.tmpValue.lineLabel}} @onChange={{fn this.updateStyle "lineLabel"}}/>
      </div>

      <div class="col"></div>
    </div>

    <div class="row">
      <div class="col">
        <h3>{{capitalize (t "polygons")}}</h3>
      </div>
    </div>

    <div class="row">

      <div class="col-4 col-polygon-marker">
        <h4>{{capitalize (t "marker")}}</h4>
        <Input::IconStyle @value={{this.tmpValue.polygonMarker}} @onChange={{fn this.updateStyle "polygonMarker"}}/>
      </div>

      <div class="col col-4 col-polygon">
        <h4>{{capitalize (t "polygon")}}</h4>
        <Input::IconStyle @value={{this.tmpValue.polygon}} @onChange={{fn this.updateStyle "polygon"}}/>
      </div>

      <div class="col col-4 col-polygon-label">
        <h4>{{capitalize (t "label")}}</h4>
        <Input::IconStyle @value={{this.tmpValue.polygonLabel}} @onChange={{fn this.updateStyle "polygonLabel"}}/>
      </div>

      <div class="col"></div>
    </div>
  </div>
</div>
